API Reference
Log In
API Reference

Regenerate rows in a table.

Permissions: organization.MEMBER OR project.MEMBER.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
enum
required

Table type.

Allowed:
Body Params
string
required

Table name or ID.

row_ids
array of strings
required
length between 1 and 100

List of ID of the row to regenerate. Minimum 1 row, maximum 100 rows.

Row Ids*
string
enum
Defaults to run_all

Optional. Strategy for selecting columns to regenerate.Choose run_all to regenerate all columns in the specified row; Choose run_before to regenerate columns up to the specified column_id; Choose run_selected to regenerate only the specified column_id; Choose run_after to regenerate columns starting from the specified column_id;

Allowed:
length ≥ 1

Optional. Output column name to indicate the starting or ending point of regen for run_before, run_selected and run_after strategies. Required if regen_strategy is not 'run_all'. Given columns are 'C1', 'C2', 'C3' and 'C4', if column_id is 'C3': run_before regenerate columns 'C1', 'C2' and 'C3'; run_selected regenerate only column 'C3'; run_after regenerate columns 'C3' and 'C4';

boolean
Defaults to true

Whether or not to stream the LLM generation.

boolean
Defaults to true

Whether or not to concurrently generate the output rows and columns. Defaults to True.

Headers
string

User ID. Can be omitted if PAT is used as token.

string

Project ID. Can be omitted if PAT is used as token.

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json